commit e59d08d7eba86ec321702e3772d19bbcad4a060b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Aug 28 02:28:06 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 815d6fb4b74..d80fed096e2 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250827
+20250828
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 2b0c1fdf8c7..f617c5fdff8 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,11 @@
+2025-08-27  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-08-23  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/120499
+	* method.cc (synthesize_method): Set the instantiating module.
+
 2025-08-26  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 2a16b76ff7d..68ad9e70d56 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,13 @@
+2025-08-27  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-08-23  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/120499
+	* g++.dg/modules/imp-member-4_a.C: New test.
+	* g++.dg/modules/imp-member-4_b.C: New test.
+	* g++.dg/modules/imp-member-4_c.C: New test.
+
 2025-08-26  Torbjörn SVENSSON  <torbjorn.svensson@foss.st.com>
 
 	Backported from master:

